npseed {np} | R Documentation

## Set Random Seed

### Description

`npseed` is a function which sets the random seed in the `np` C backend, resetting the random number generator.

### Usage

    npseed(seed)

### Arguments

`seed` | an integer seed for the random number generator.

### Details

`npseed` provides an interface for setting the random seed (and resetting the random number generator) used by `np`. The random number generator is used during the bandwidth search procedure to set the search starting point, and in subsequent searches when using multistarting, to avoid being trapped in local minima if the objective function is not globally concave.

Calling `npseed` will only affect the numerical search if it is performed by the C backend. The affected functions include: `npudensbw`, `npcdensbw`, `npregbw`, `npplregbw`, `npqreg`, `npcmstest` (via `npregbw`), `npqcmstest` (via `npregbw`), `npsigtest` (via `npregbw`).

### Value

None.

### Note

This method currently only supports objects from the `np` library.

### Author(s)

Tristen Hayfield tristen.hayfield@gmail.com, Jeffrey S. Racine racinej@mcmaster.ca

### References

Li, Q. and J.S. Racine (2007), Nonparametric Econometrics: Theory and Practice, Princeton University Press.

### See Also

`set.seed`

### Examples

    npseed(712)
    x <- runif(10)
    y <- x + rnorm(10, sd = 0.1)
    bw <- npregbw(y~x)

[Package np version 0.60-9 Index]